GenericNamingResourcesFactory (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.jdbc.naming

## Class GenericNamingResourcesFactory

- java.lang.Object
- - org.apache.tomcat.jdbc.naming.GenericNamingResourcesFactory

- All Implemented Interfaces:
    ObjectFactory

      public class GenericNamingResourcesFactory
      extends Object
      implements ObjectFactory

  Simple way of configuring generic resources by using reflection. Example usage:

       <Resource factory="org.apache.tomcat.jdbc.naming.GenericNamingResourcesFactory"
                    name="jdbc/test"
                    type="org.apache.derby.jdbc.ClientXADataSource"
                    databaseName="sample"
                    createDatabase="create"
                    serverName="localhost"
                    port="1527"/>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericNamingResourcesFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `capitalize(String name)`
    `Object` | `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericNamingResourcesFactory

          public GenericNamingResourcesFactory()

  - ### Method Detail

    - #### getObjectInstance

          public Object getObjectInstance(Object obj,
                                          Name name,
                                          Context nameCtx,
                                          Hashtable<?,?> environment)
                                   throws Exception

      Specified by:
        `getObjectInstance` in interface `ObjectFactory`
      Throws:
        `Exception`

    - #### capitalize

          public static String capitalize(String name)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.